import io.gitlab.jfronny.scripts.*

plugins {
    commons.library
}

dependencies {
    implementation(libs.slf4j.api)
    implementation(projects.commons)

    testImplementation(libs.junit.jupiter.api)
    testRuntimeOnly(libs.junit.jupiter.engine)
}

publishing {
    publications {
        create<MavenPublication>("maven") {
            groupId = "io.gitlab.jfronny"
            artifactId = "commons-logger"

            from(components["java"])
        }
    }
}

tasks.javadoc {
    linksOffline("https://maven.frohnmeyer-wds.de/javadoc/artifacts/io/gitlab/jfronny/commons/$version/raw", projects.commons)
    opts.links("https://www.slf4j.org/apidocs")
}
