package io.gitlab.jfronny.commons.logger;

import org.jetbrains.annotations.Nullable;
import org.slf4j.ILoggerFactory;
import org.slf4j.Logger;
import org.slf4j.event.Level;

/**
 * Abstract logger factory that optionally takes a log level.
 */
@FunctionalInterface
public interface LeveledLoggerFactory extends ILoggerFactory {
    @Override
    default Logger getLogger(String name) {
        return getLogger(name, null);
    }

    Logger getLogger(String name, @Nullable Level level);
}
